Bug 126329 - Cannot read udf cdrom
Cannot read udf cdrom
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-18 21:50 EDT by Ed Paski
Modified: 2015-01-04 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:20:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Paski 2004-06-18 21:50:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.6) Gecko/20040113

Description of problem:
This problem did not appear in RedHat 9.
I am using a Dell Latitide with cd/dvd unit, system is dual boot with
windoze 98se.

When mounting a cdrom, cdr's perform as "normal", no problems.  

When I attempt to mount a cd-rw:
The cd desktop icon legend displays "ISO 9660 Volume".
When viewing files on the disc, if I click (either left or right
click) on a file, the file icon disappears from the screen.  
The file icons do not show any associations with applications.




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.click on redhat in panel
2.System tools - disc Management click
3.mount /dev/cdrom  /mnt/cdrom  udf,1s09660
4.click on cd icon    

Actual Results:  File icons have no associations with applications. 
Text view shows file name  size is "..." type is "unknown type" date
modified is "unknown"


Expected Results:  Display files in a manner similar to that of other
filesystems.

Additional info:

My fstab file:

LABEL=/        /                   ext3    		defaults        		1 1
LABEL=/boot    /boot               ext3    		defaults        		1 2
none           /dev/pts            devpts  		gid=5,mode=620  		0 0
none           /dev/shm            tmpfs   		defaults        		0 0
none           /proc               proc    		defaults        		0 0
none           /sys                sysfs   		defaults        		0 0
/dev/hda6      /swap               swap    		defaults        		0 0
/dev/cdrom     /mnt/cdrom          udf,iso9660 	noauto,owner,kudzu,ro 	0 0
/dev/hda2		/mnt/windoze_c		vfat			noauto,user			0 0
/dev/hda5		/mnt/windoze_d		vfat			noauto,user			0 0
/dev/fd0       /mnt/floppy         auto    		noauto,owner,kudzu 		0 0


iso9660 volume properties:

basic
name:	ISO 9660 Volume
contents:	...
location:	/mnt
volume:	ISO 9660 Volume
free space:	5105 MB
modified:	Wednesday, June 2 2004 at 8:57:37 PM

permissions
file owner:	-1
file group:	-1
text view:	drwxrwxrwx
last changed:	unknown


Attempt to mount from console:

[root@localhost root]# mount -t udf /dev/cdrom /mnt/cdrom
mount: block device /dev/cdrom is write-protected, mounting read-only
[root@localhost root]# ll /mnt/cdrom
total 0
?---------  ? ? ? ?           ? EarthFromISS_d.jpg
?---------  ? ? ? ?           ? Linux_Fedora_C2_Files
?---------  ? ? ? ?           ? Pimpernel_3.jpg

[root@localhost root]# umount /dev/cdrom
[root@localhost root]# mount -t iso9660 /dev/cdrom /mnt/cdrom
mount: block device /dev/cdrom is write-protected, mounting read-only
mount: wrong fs type, bad option, bad superblock on /dev/cdrom,
       or too many mounted file systems
[root@localhost root]# ll /mnt/cdrom
total 0
[root@localhost root]#
Comment 1 Dave Jones 2005-04-16 01:20:32 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.